package de.oaa.xxx.gruppe.repository;

import de.oaa.xxx.gruppe.entity.GruppenbeitragLikeEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.transaction.annotation.Transactional;

import java.util.Optional;
import java.util.UUID;

public interface GruppenbeitragLikeRepository extends JpaRepository<GruppenbeitragLikeEntity, UUID> {

    Optional<GruppenbeitragLikeEntity> findByBeitragIdAndUserId(UUID beitragId, UUID userId);

    long countByBeitragId(UUID beitragId);

    @Transactional
    void deleteByBeitragId(UUID beitragId);
}
